Produto BaaS (parceiro). Requer Bearer JWT do parceiro e assinatura HMAC obrigatória. Scope: baas.contracts.read. Guia: documentação técnica.
stringAssinatura HMAC-SHA256 da requisição (hex).
stringTimestamp Unix (segundos, UTC) usado na assinatura.
stringNonce único por requisição (anti-replay).
stringRequer Bearer JWT do parceiro e assinatura HMAC obrigatórios.
Scope: baas.contracts.read.
Envie X-Signature, X-Timestamp e X-Nonce em todo pedido assinado. Veja Autenticação do parceiro (HMAC).
| Header | Obrigatório | Descrição |
|---|---|---|
Authorization | Sim | Bearer {{access_token}} |
Accept | Sim | application/json |
X-Signature | Sim | Assinatura HMAC |
X-Timestamp | Sim | Timestamp da assinatura |
X-Nonce | Sim | Nonce único por requisição |
Parceiro: Bearer do login parceiro. GET assinado: BODY [] na mensagem HMAC.
| Código | Descrição |
|---|---|
| 200 | OK |
| 201 | Recurso criado |
| 400 | Parâmetros inválidos |
| 401 | Token ou HMAC inválido |
| 403 | Scope ausente |
| 404 | Não encontrado |
| 422 | Validação ou regra de negócio |
| 500 | Erro interno |
curl --request GET \
--url 'https://api-h.nuvende.com.br/api/v2/baas/contracts' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'X-Timestamp: {{timestamp}}' \
--header 'X-Nonce: {{nonce}}' \
--header 'X-Signature: {{signature}}'
const axios = require("axios");
axios({
method: "get",
url: "https://api-h.nuvende.com.br/api/v2/baas/contracts",
headers: {
Accept: "application/json",
Authorization: "Bearer {{access_token}}",
"X-Timestamp": "{{timestamp}}",
"X-Nonce": "{{nonce}}",
"X-Signature": "{{signature}}",
},
})
.then((response) => console.log(JSON.stringify(response.data)))
.catch((error) => console.log(error.response?.data || error.message));
import requests
url = "https://api-h.nuvende.com.br/api/v2/baas/contracts"
headers = {
"Accept": "application/json",
"Authorization": "Bearer {{access_token}}",
"X-Timestamp": "{{timestamp}}",
"X-Nonce": "{{nonce}}",
"X-Signature": "{{signature}}",
}
response = requests.get(url, headers=headers)
print(response.text)
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api-h.nuvende.com.br/api/v2/baas/contracts',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Accept: application/json',
'Authorization: Bearer {{access_token}}',
'X-Timestamp: {{timestamp}}',
'X-Nonce: {{nonce}}',
'X-Signature: {{signature}}',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
{
"current_page": 1,
"data": [
{
"id": 365,
"account_id": 415,
"user_id": null,
"company_id": 206,
"admin_id": null,
"company_branch_id": null,
"business_unit_id": null,
"price_table_id": 102,
"name": "Loja Exemplo LTDA",
"type": "monthly",
"status": "pending",
"segment": "Nao Definido",
"start_date": "2026-05-08T14:41:24.000000Z",
"end_date": "2031-05-08T14:41:24.000000Z",
"signed_at": null,
"capture_block": false,
"payment_schedule_block": false,
"allows_schedule_transfer": false,
"pos_rent_charge": true,
"allows_receivables_anticipation": true,
"enables_transaction_cancellation": false,
"enables_tap_on_phone": false,
"enable_pix_accreditation": false,
"block_receipt_via_pix": false,
"allows_cash_out": true,
"has_split": false,
"advance_cushion": 0,
"priceTable": {
"id": 102,
"name": "Tabela Exemplo Padrao",
"status": "active",
"global": true,
"use_as_default": true,
"show_in_app": false,
"reference_value": null,
"start_date": "2026-04-07T20:56:00.000000Z",
"end_date": "2026-04-07T20:56:00.000000Z",
"created_at": "2026-04-07T20:56:42.000000Z",
"updated_at": "2026-04-07T20:56:42.000000Z",
"deleted_at": null
},
"account": {
"id": 415,
"name": "Loja Exemplo LTDA",
"user_id": null,
"company_id": 206,
"account": "0000415",
"account_vd": "4",
"agency": "0001",
"agency_vd": "9",
"type": "checking",
"uuid": "9e6a7244-c8a9-4207-8d10-001fd4ddb7bb",
"balance": 0,
"blocked_balance": 0,
"reserved_balance": 0,
"created_at": "2026-05-08T14:41:23.000000Z",
"updated_at": "2026-05-08T14:41:24.000000Z",
"deleted_at": null
},
"company": {
"id": 206,
"name": "Loja Exemplo LTDA",
"email": "[email protected]",
"cellphone": "11987654321",
"telephone": "1133334444",
"document": "43587980000107",
"founded_at": null,
"classification": "approved",
"status": "active",
"documents_status": "approved",
"background_check_days": 60,
"search_date": null,
"created_at": "2026-05-08T14:24:54.000000Z",
"updated_at": "2026-05-08T14:25:45.000000Z"
},
"user": null,
"created_at": "2026-05-08T14:41:24.000000Z",
"updated_at": "2026-05-08T14:41:24.000000Z"
}
],
"from": 1,
"last_page": 1,
"per_page": 10,
"to": 1,
"total": 1
}
Requer parceiro habilitado no BaaS antes de listar contratos.